/**
 * Arduino Sketch für SmartHome yourself - Arduino Lehrgang
 * 
 * Tag 13: LCD Modul
 * In diesem Sketch wird ein LCD Display über die LiquidCrystal Library angesteuert und ein Text auf dem Display ausgegeben. 
 * Im Loop verschieben wir den Cursor und schreiben einen Wert an eine feste Stelle auf dem Display.
 * 
 * https://www.arduino.cc/en/Reference/LiquidCrystalBegin
 * https://www.arduino.cc/en/Reference/LiquidCrystalSetCursor
 * https://www.arduino.cc/en/Reference/LiquidCrystalPrint
 * 
 * By Daniel Scheidler - Dezember 2019
 */
#include <LiquidCrystal.h>            // Library für das LCD einbinden

// Pins fürs LCD definieren
const unsigned int LCD_ENABLE_PIN = 8;
const unsigned int LCD_REG_SELECT_PIN = 9;

const unsigned int LCD_DATA4_PIN = 4;
const unsigned int LCD_DATA5_PIN = 5;
const unsigned int LCD_DATA6_PIN = 6;  
const unsigned int LCD_DATA7_PIN = 7;

LiquidCrystal lcd(LCD_REG_SELECT_PIN, LCD_ENABLE_PIN, LCD_DATA4_PIN, LCD_DATA5_PIN, LCD_DATA6_PIN, LCD_DATA7_PIN);  // LCD-Pins zuweisen und LCD initialisieren

int counter = 0;

void setup() {
  lcd.begin(16, 2);                   // LCD mit Spalten- und Zeilenanzahl initialisieren
  lcd.print("Hello, world!");         // Ausgabe eines Textes am Display-Start
}

void loop() {
  lcd.setCursor(0, 1);                // aktuelle Cursorposition auf Spalte 1 in Zeile 2 setzen. 
                                      // Da es sich bei den Positionsangaben um Index-Angaben handelt,
                                      // wird bei 0 angefangen zu zählen.

  lcd.print(counter);                 // Anzahl der Durchläufe auf LCD an aktueller Position ausgeben
  counter++;                          // Wert in Variable "counter" um einen erhöhen

  delay(1000);                        // 1 Sekunde warten
}
